Bug 433241 - wireless bug
wireless bug
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 18:09 EST by Daniele Ferrante
Modified: 2008-07-08 08:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 08:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
report (3.17 KB, text/plain)
2008-02-17 18:09 EST, Daniele Ferrante
no flags Details

  None (edit)
Description Daniele Ferrante 2008-02-17 18:09:33 EST
Sommario
    SELinux ha impedito l'accesso a /var/log/wicd.log da parte di /sbin/ifconfig
    "write".

Descrizione dettagliata
    SELinux is preventing /sbin/ifconfig (ifconfig_t) "write" to
    /var/log/wicd.log (var_log_t). The SELinux type var_log_t, is a generic type
    for all files in the directory and very few processes (SELinux Domains) are
    allowed to write to this SELinux type.  This type of denial usual indicates
    a mislabeled file.  By default a file created in a directory has the gets
    the context of the parent directory, but SELinux policy has rules about the
    creation of directories, that say if a process running in one SELinux Domain
    (D1) creates a file in a directory with a particular SELinux File Context
    (F1) the file gets a different File Context (F2).  The policy usually allows
    the SELinux Domain (D1) the ability to write, unlink, and append on (F2).
    But if for some reason a file (/var/log/wicd.log) was created with the wrong
    context, this domain will be denied.  The usual solution to this problem is
    to reset the file context on the target file, restorecon -v
    /var/log/wicd.log.  If the file context does not change from var_log_t, then
    this is probably a bug in policy.  Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against the selinux-policy
    package. If it does change, you can try your application again to see if it
    works.  The file context could have been mislabeled by editing the file or
    moving the file from a different directory, if the file keeps getting
    mislabeled, check the init scripts to see if they are doing something to
    mislabel the file.

Abilitazione accesso in corso
    Potete cercare di correggere il contesto del file, eseguendo restorecon -v
    /var/log/wicd.log

    Il seguente comando abiliterà questo tipo d'accesso:
    restorecon /var/log/wicd.log

Informazioni aggiuntive       

Contesto della sorgente       system_u:system_r:ifconfig_t:s0
Contesto target               system_u:object_r:var_log_t:s0
Oggetti target                /var/log/wicd.log [ file ]
Pacchetti RPM interessati     net-tools-1.60-84.fc8 [application]
RPM della policy              selinux-policy-3.0.8-84.fc8
Selinux abilitato             True
Tipo di policy                targeted
MLS abilitato                 True
Modalità Enforcing           Permissive
Nome plugin                   plugins.mislabeled_file
Host Name                     localhost.localdomain
Piattaforma                   Linux localhost.localdomain 2.6.23.15-137.fc8 #1
                              SMP Sun Feb 10 17:48:34 EST 2008 i686 i686
Conteggio allerte             10967
First Seen                    dom 17 feb 2008 20:45:59 CET
Last Seen                     dom 17 feb 2008 23:44:26 CET
Local ID                      20d2c1e8-c11e-4dad-a8e2-00f04226dadf
Numeri di linea               

Messaggi Raw Audit            

avc: denied { write } for comm=ifconfig dev=dm-0 egid=0 euid=0
exe=/sbin/ifconfig exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=/var/log/wicd.log
pid=22458 scontext=system_u:system_r:ifconfig_t:s0 sgid=0
subj=system_u:system_r:ifconfig_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:var_log_t:s0 tty=(none) uid=0
Comment 1 Daniele Ferrante 2008-02-17 18:09:33 EST
Created attachment 295118 [details]
report
Comment 2 Radek Vokal 2008-02-18 02:19:48 EST
Some other tool is using ifconfig and doesn't seem to have right privileges.
That's what SELinux is about. The tool has to be in the same context. You say
it's a wireless bug .. why? What package really causes the problem? What are you
trying to do?
Comment 3 Zdenek Prikryl 2008-07-08 08:15:31 EDT
Hello,
I'm closing this bug because of insufficient data. Furthermore wicd is not
currently packaged in fedora.

Note You need to log in before you can comment on or make changes to this bug.